Subject: bug#32478: pcscd service activation causes boot failure

From: Arun Isaac <[email-masked]>
Date: Tue, 21 Aug 2018 01:03:23 +0530

> Commit de30205ba0f63eb987097a9f47b6e4fd38cd9044 added a pcscd service
> (hooray!).  However, its activation procedure doesn't always work.  The
> system test passes, and the activation procedure works the first time
> you boot, but if you reboot, it will fail because the symlink it creates
> already exists.  The attached patch fixes the problem.

Thanks for catching and fixing this! I am still in the process of
building and testing your patch. I ran out of memory and had to `guix
gc' and rebuild again. As you said, it takes a while. But, your patch
LGTM. Please go ahead and push to master at your discretion, after
addressing Ludo's feedback.